Browse Source

pull: Hack to allow compilation with older Guile-SSH packages.

Reported by iyzsong@member.fsf.org (宋文武)
at <https://lists.gnu.org/archive/html/guix-devel/2016-11/msg01045.html>.

* build-aux/build-self.scm (build): Set 'LTDL_LIBRARY_PATH' when
GUILE-SSH has a "0.9." version prefix.
gn-latest-20200428
Ludovic Courtès 5 years ago
parent
commit
aa28ecc40a
No known key found for this signature in database GPG Key ID: 90B11993D9AEBB5
1 changed files with 7 additions and 0 deletions
  1. +7
    -0
      build-aux/build-self.scm

+ 7
- 0
build-aux/build-self.scm View File

@ -114,6 +114,13 @@ files."
(string-append #$guile-ssh "/lib/guile/2.0/site-ccache")
%load-compiled-path)))
;; XXX: The 'guile-ssh' package prior to Guix commit 92b7258 was
;; broken: libguile-ssh could not be found. Work around that.
;; FIXME: We want Guile-SSH 0.10.2 or later anyway.
#$(if (string-prefix? "0.9." (package-version guile-ssh))
#~(setenv "LTDL_LIBRARY_PATH" (string-append #$guile-ssh "/lib"))
#t)
(build-guix #$output #$source
#:system #$%system


Loading…
Cancel
Save